.record {
    color: $white;
    font-size: rem(14);
    line-height: rem(20);
    text-align: center;
    text-decoration: none;
    display: block;
    height: rem(240);
    position: relative;

    &:hover {
        color: $white;
        text-decoration: none;
    }

    &__image {
        z-index: 1;
        position: relative;
    }

    &__wrap {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 10;
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: center;
        transition: .3s;
    }

    &__content {
        width: rem(220);
        padding: rem(8) rem(16);
        background: rgba(17, 16, 16, 0.5);
        flex-shrink: 0;
        display: flex;
        flex-direction: column-reverse;
    }

    &__icon {
        font-size: 0;
        line-height: 0;
        width: rem(48);
        height: rem(48);
        display: block;
        background: $black;
        margin: 0 auto rem(5) auto;
    }

    &__text {
        display: block;
        font-style: normal;
    }

    @include media-breakpoint-up(lg) {
        text-align: left;

        &__content {
            padding: 0;
            width: auto;
            left:  rem(16);
            right: rem(16);
            bottom: rem(16);
            position: absolute;
            flex-direction: row;
            align-items: center;
            justify-content: space-between;
            background: transparent;
        }

        &__icon {
            margin: 0;
        }

        &__text {
            padding: rem(8);
            background: $dark;
            overflow: hidden;
            text-overflow: ellipsis;
            max-width: calc(100% - 4rem);
        }
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(18);
        line-height: rem(26);

        &__wrap {
            backdrop-filter: blur(6px);
        }

        &--lg {
            height: rem(362);
        }

        &:hover {

            .record {

                &__wrap {
                    backdrop-filter: blur(0);
                    transition: .3s;
                }
            }
        }
    }
}
